Page MenuHomePhabricator

[TTI] Move getIntrinsicCost to allow functions to be overridden. NFC.
ClosedPublic

Authored by SjoerdMeijer on Mar 22 2019, 10:24 AM.

Details

Summary

Moving this to base class TargetTransformInfoImplCRTPBase allows static_cast to a subtarget so that calls to e.g. getMemcpyCost go the overridden functions.

Diff Detail

Repository
rL LLVM

Event Timeline

SjoerdMeijer created this revision.Mar 22 2019, 10:24 AM
dmgreen accepted this revision.Mar 23 2019, 5:34 AM

From my understanding of TTI, LGTM.

This revision is now accepted and ready to land.Mar 23 2019, 5:34 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 25 2019, 1:55 AM